package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

/**
 * @Author Joburgess
 * @Date 2019/10/1
 */
public class VipGroupCostCountParamsDto {

    @ApiModelProperty("vip课程类型编号")
    private Integer vipGroupCategoryId;

    @ApiModelProperty("vip课默认课程单价编号")
    private Long vipGroupDefaultClassesUnitPriceId;

    @ApiModelProperty("VIP课活动方案编号")
    private Long vipGroupActivityId;

    @ApiModelProperty(value = "线上课课时数", required = false)
    private Integer onlineClassesNum;

    @ApiModelProperty(value = "线下课课时数", required = false)
    private Integer offlineClassesNum;

    public Integer getVipGroupCategoryId() {
        return vipGroupCategoryId;
    }

    public void setVipGroupCategoryId(Integer vipGroupCategoryId) {
        this.vipGroupCategoryId = vipGroupCategoryId;
    }

    public Long getVipGroupDefaultClassesUnitPriceId() {
        return vipGroupDefaultClassesUnitPriceId;
    }

    public void setVipGroupDefaultClassesUnitPriceId(Long vipGroupDefaultClassesUnitPriceId) {
        this.vipGroupDefaultClassesUnitPriceId = vipGroupDefaultClassesUnitPriceId;
    }

    public Long getVipGroupActivityId() {
        return vipGroupActivityId;
    }

    public void setVipGroupActivityId(Long vipGroupActivityId) {
        this.vipGroupActivityId = vipGroupActivityId;
    }

    public Integer getOnlineClassesNum() {
        return onlineClassesNum;
    }

    public void setOnlineClassesNum(Integer onlineClassesNum) {
        this.onlineClassesNum = onlineClassesNum;
    }

    public Integer getOfflineClassesNum() {
        return offlineClassesNum;
    }

    public void setOfflineClassesNum(Integer offlineClassesNum) {
        this.offlineClassesNum = offlineClassesNum;
    }
}
